"use strict";

// A tank suspiciously large enough to hold, say, a Meli
var GO_StasisTank = function(){
	this.sprite = new Sprite(GO_StasisTank.spriteSheet,"StasisTank");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(5,1,26,31);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "StasisTank";

	this.checks = 0;
};
GO_StasisTank.spriteImg = SDS_Load_Image("art/sheets/sprite/stasistank.png");
GO_StasisTank.spriteSheet = new TileSheet(5, 5, 0, 0, GO_StasisTank.spriteImg);

GO_StasisTank.prototype = new GameObject(
	new Sprite(
		GO_StasisTank.spriteSheet,
		"StasisTank"
	),
	"StasisTank"
	);

	GO_StasisTank.prototype.interactions = DEFINE_GAMEOBJECT_INTERACTIONS.CHECK;

	GO_StasisTank.prototype.Update = function(){

	};

	GO_StasisTank.prototype.checkEvent = function(sourceGO){
		++this.checks;
		this.checks = Math.min(this.checks,2);
		return "GD_Lab_Tank"+this.checks;
	};
